<?php
	// A faire : gestion hors-ligne	
	
	// Si la session n'est pas identifiée...
	if(!isset($_SESSION['etat'])) {
	
		if(isset($_POST['login']) && $_POST['login'] != '' &&
		isset($_POST['passwd']) && $_POST['passwd'] != '')
		{	
		
		
			
			
			
				// On cherche dans la base si cet utilisateur existe
				$sql = "SELECT * FROM docteur WHERE login = '" . $_POST['login'] . "' AND pwd = '" . $_POST['passwd'] . "'";
				$req = cleanPDOQuery($sql);
				$num = $req->rowCount();
			
				// Si l'utilisateur est reconnu (par une des deux méthodes précédentes)...
				if($num == 1)
				{
					$res = $req->fetch();
					
					// Récupérer des infos sur le docteur
					$_SESSION['id_docteur'] = $res['id'];
					$_SESSION['nom'] = $res['nom'];
					$_SESSION['prenom'] = $res['prenom'];
					$_SESSION['id_etablissement'] = $res['id_etablissement'];		// Etablissement fréquenté
					$_SESSION['id_grille'] = $res['id_grille'];						// Dernière grille utilisée
					$_SESSION['id_patient'] = $res['id_patient'];					// Dernier patient suivi
					$nb_cnx = $_SESSION['nb_cnx'] = $res['nb_cnx'];
					$_SESSION['login'] = $_POST['login'];
					$_SESSION['passwd'] = $_POST['passwd'];
					
					// Récupérer des infos sur le patient
					$sql = "SELECT * FROM patient WHERE id = '" . $_SESSION['id_patient'] . "' AND id_docteur = '" . $_SESSION['id_docteur'] . "'";
					$req = cleanPDOQuery($sql);
					$res = $req->fetch();
					
					$_SESSION['patient_nom'] = $res['nom'];
					$_SESSION['patient_prenom'] = $res['prenom'];
					$_SESSION['patient_sexe'] = $res['sexe'];
					$_SESSION['patient_num_dossier'] = $res['num_dossier'];
					
					// Récupérer des infos sur la grille
					$sql = "SELECT * FROM liste_grilles";
					$req = cleanPDOQuery($sql);
					$tabgrilles = '';
					
					while($res = $req->fetch()) {
						
						if($res['id'] == $_SESSION['id_grille']) {
							$_SESSION['libelle_grille'] = $res['libelle'];					// Dernière grille utilisée
							$_SESSION['lvlgrillemin'] = $res['lvlgrillemin'];
							$_SESSION['lvlgrillemax'] = $res['lvlgrillemax'];
						}
						$tabgrilles[] = $res['libelle'];
					}
					
					
					
					// Récupérer des infos sur les champs de la grille
					$sql = "SELECT * FROM libdesc_grille WHERE id_grille = '" . $_SESSION['id_grille'] . "'";
					$req = cleanPDOQuery($sql);
					$nb = $req->rowCount();
					
					$_SESSION['nblvlgrille'] = $nb;
					$nb_cnx++;
					// Requête de mise à jour du nombre de connexion
					$sql = "UPDATE docteur SET ip = '" . $_SERVER['REMOTE_ADDR'] . "', nb_cnx = '" . $nb_cnx . "', last_cnx = NOW() WHERE login = '" . $_POST['login'] . "' AND pwd = '" . $_POST['passwd'] . "'";
					
					// On met à jour la base de données avec les informations actuelles d'adresse IP, de date et de nombre de connexions
					cleanPDOQuery($sql);
					
					$_SESSION['etat'] = "search";
				}
			}
		}
		
	// Après la recherche, on se connecte
	if(isset($_SESSION['etat'])) {
	
		if(isset($_POST['idPatient']) && $_POST['idPatient'] != '')
		{	
			$_SESSION['id_patient'] = $_POST['idPatient'];
			
					// Récupérer des infos sur le patient
					$sql = "SELECT * FROM patient WHERE id = '" . $_SESSION['id_patient'] . "' AND id_docteur = '" . $_SESSION['id_docteur'] . "'";
					$req = cleanPDOQuery($sql);
					$res = $req->fetch();
					
					$_SESSION['patient_nom'] = $res['nom'];
					$_SESSION['patient_prenom'] = $res['prenom'];
					$_SESSION['patient_sexe'] = $res['sexe'];
					$_SESSION['patient_num_dossier'] = $res['num_dossier'];
					
					// Récupérer des infos sur la grille
					$sql = "SELECT * FROM liste_grilles";
					$req = cleanPDOQuery($sql);
					$tabgrilles = '';
					
					while($res = $req->fetch()) {
						
						if($res['id'] == $_SESSION['id_grille']) {
							$_SESSION['libelle_grille'] = $res['libelle'];					// Dernière grille utilisée
							$_SESSION['lvlgrillemin'] = $res['lvlgrillemin'];
							$_SESSION['lvlgrillemax'] = $res['lvlgrillemax'];
						}
						$tabgrilles[] = $res['libelle'];
					}
					
					
					
					// Récupérer des infos sur les champs de la grille
					$sql = "SELECT * FROM libdesc_grille WHERE id_grille = '" . $_SESSION['id_grille'] . "'";
					$req = cleanPDOQuery($sql);
					$nb = $req->rowCount();
					
					$_SESSION['nblvlgrille'] = $nb;
					$nb_cnx = $_SESSION['nb_cnx'];
					$nb_cnx++;
					// Requête de mise à jour du nombre de connexion
					$sql = "UPDATE docteur SET ip = '" . $_SERVER['REMOTE_ADDR'] . "', nb_cnx = '" . $nb_cnx . "', last_cnx = NOW() WHERE login = '" . $_SESSION['login'] . "' AND pwd = '" . $_SESSION['passwd'] . "'";
					
					// On met à jour la base de données avec les informations actuelles d'adresse IP, de date et de nombre de connexions
					cleanPDOQuery($sql);
			
			$_SESSION['etat'] = 'on';
		}
	}
	
	//Si l'utilisateur souhaite se déconnecter, on ferme la session
	if(isset($_GET['deco']) && $_GET['deco'] == 1)
	{
		$_SESSION['etat'] = "";
		session_destroy();
		header('location: ./');
		exit();
	}
?>